Skip to content
Content & StorefrontSitemap

List sitemap URLs

Lists the canonical URLs of visible products, active categories and collections, one page at a time.

GET/v1/sitemap
No token

Query Parameters

page?integer

One-based page number.

Formatint32

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/sitemap" \  -H "x-Store-Domain: my-store"
{  "items": [    {      "url": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",      "updatedOn": "2026-09-28T15:30:00Z"    }  ],  "nextPage": 1,  "totalPages": 1}